6

Hi I am getting option clash package error where as I am declaring geometry package only once as below:

\documentclass{vldb}
\usepackage{graphicx}
\usepackage{algorithm}
\usepackage{algpseudocode}
\usepackage{balance}  % for  \balance command ON LAST PAGE  (only there!)
\usepackage[top=0.75in,left=0.80in,bottom=0.75in,right=0.80in]{geometry}


\newtheorem{Definition}{Definition}[section]
\newtheorem{Deff}{Definition}
\newtheorem{Lemma}{Lemma} [section]
\newtheorem{prop}{Proposition}

\newcounter{example}[section]
\newenvironment{example}[1][]{\refstepcounter{example}\par\medskip
   \noindent \textbf{Example~\theexample. #1} \rmfamily}{\medskip}

\begin{document}

Could you please help here?

4
  • Are you compiling with pdflatex?
    – Werner
    Commented Sep 11, 2015 at 0:13
  • 1
    Welcome! Presumably, the class you are using already loads the package. Try removing the \usepackage...{geometry} line and configuring with just \geometry{...}. Note that this cannot be confirmed as I have no idea where vldb.cls is or what is in it.
    – cfr
    Commented Sep 11, 2015 at 0:31
  • 1
    Try adding \PassOptionsToPackage{top=0.75in,left=0.80in,bottom=0.75in,right=0.80in}{geometry} before \documentclass.
    – Werner
    Commented Sep 11, 2015 at 0:35
  • Delete the line \usepackage[top=0.75in,left=0.80in,bottom=0.75in,right=0.80in]{geometry} and load the class like this: \documentclass[top=0.75in,left=0.80in,bottom=0.75in,right=0.80in]{vldb} Commented Sep 11, 2015 at 1:03

1 Answer 1

8

Apparently the class vldb is already loading geometry with settings different from what you'd like to get.

If the class is for submissions to a journal or a conference, don't set new values for geometry. Otherwise simply do

\geometry{top=0.75in,left=0.80in,bottom=0.75in,right=0.80in}

where you have \usepackage[...]{geometry}. The new values will override those set by the class.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .